#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int i,suma, broj, a;
    long int pet, dva ,jedan;
    suma = 0;
    pet = 500000000;
    dva = 200000000;
    jedan = 100000000;
    cin >> broj;
    a = broj;
    for (i = 0; i < 20; i++)
    {
        if(a / pet > 0)
        {
            a = a % pet;
            suma++;
        }
        else if(a / dva > 0)
        {
            a = a % dva;
            suma++;
        }
        else if(a / jedan >0)
        {
            a = a % jedan;
            suma++;
        }
        pet = pet % 10;
        dva = dva % 10;
        jedan = jedan % 10;
    }
    cout << suma;

    return 0;
}